package com.pcloud.book.book.dto;

import com.pcloud.common.entity.BaseEntity;

/**
 * 描述  :图书卡片商品
 *
 * @author 作者: lili
 * @version 1.0
 * @date 创建时间：2017年5月4日 下午3:23:02
 */
public class QaProductDto extends BaseEntity {

    /**
     * 序列化
     */
    private static final long serialVersionUID = 593343511309822378L;

    /**
     * 商品标识
     */
    private Long productId;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 价格
     */
    private Double price;

    /**
     * 封面图
     */
    private String coverImg;

    /**
     * 作者名称
     */
    private String authorName;

    /**
     * 作者头衔
     */
    private String merchantTitle;

    /**
     * 作者专长
     */
    private String merchantSkill;

    /**
     * 答者简介
     */
    private String detailDesc;

    /**
     * 好评度
     */
    private Double favorableRate;

    /**
     * 录音标识
     */
    private Long vedioId;

    public Double getFavorableRate() {
        return favorableRate;
    }

    public void setFavorableRate(Double favorableRate) {
        this.favorableRate = favorableRate;
    }

    public String getMerchantTitle() {
        return merchantTitle;
    }

    public void setMerchantTitle(String merchantTitle) {
        this.merchantTitle = merchantTitle;
    }

    public String getMerchantSkill() {
        return merchantSkill;
    }

    public void setMerchantSkill(String merchantSkill) {
        this.merchantSkill = merchantSkill;
    }

    public String getDetailDesc() {
        return detailDesc;
    }

    public void setDetailDesc(String detailDesc) {
        this.detailDesc = detailDesc;
    }

    public Long getProductId() {
        return productId;
    }

    public void setProductId(Long productId) {
        this.productId = productId;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public Double getPrice() {
        return price;
    }

    public void setPrice(Double price) {
        this.price = price;
    }

    public String getCoverImg() {
        return coverImg;
    }

    public void setCoverImg(String coverImg) {
        this.coverImg = coverImg;
    }

    public String getAuthorName() {
        return authorName;
    }

    public void setAuthorName(String authorName) {
        this.authorName = authorName;
    }

    public Long getVedioId() {
        return vedioId;
    }

    public void setVedioId(Long vedioId) {
        this.vedioId = vedioId;
    }

    @Override
    public String toString() {
        return "QaProductDto [productId=" + productId + ", productName=" + productName + ", price=" + price
                + ", coverImg=" + coverImg + ", authorName=" + authorName + ", merchantTitle=" + merchantTitle
                + ", merchantSkill=" + merchantSkill + ", detailDesc=" + detailDesc + ", favorableRate=" + favorableRate
                + ", vedioId=" + vedioId + "]";
    }


}
